## dap-mode 0.8

=== Makefile ===
.PHONY: all build compile clean test

EMACS ?= emacs
EASK ?= eask

# TODO: add `lint` and `checkdoc`
ci: clean build compile test

build:
	$(EASK) package
	$(EASK) install
	$(EASK) clean elc

compile:
	@echo "Compiling..."
	$(EASK) compile

clean:
	$(EASK) clean all

test:
	@echo "Testing..."
	$(EASK) install-deps --dev
	$(EASK) exec ert-runner -L .

checkdoc:
	@echo "Run checkdoc..."
	$(EASK) lint checkdoc

lint:
	@echo "Run package-lint..."
	$(EASK) lint package

## dap-mode 0.7

=== debian/changelog ===
dap-mode (0.7-3) unstable; urgency=medium

  * Fix watch file.
  * Source only upload

 -- Thomas Koch <thomas@koch.ro>  Thu, 14 Apr 2022 20:28:01 +0300

dap-mode (0.7-2) unstable; urgency=medium

  * Add missing Copyright holders.

 -- Thomas Koch <thomas@koch.ro>  Tue, 05 Apr 2022 21:25:42 +0300

dap-mode (0.7-1) unstable; urgency=medium

  * Initial release. Closes: #1007160.

 -- Thomas Koch <thomas@koch.ro>  Fri, 11 Mar 2022 17:40:04 +0200

=== debian/control ===
Source: dap-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/dap-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/dap-mode.git
Homepage: https://github.com/emacs-lsp/dap-mode
Rules-Requires-Root: no

Package: elpa-dap-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: DAP UI controls implemented using treemacs.
 This emacs mode allows to use external debuggers over the DAP
 protocol.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/dap-mode-$1.tar.gz/" \
    https://github.com/emacs-lsp/dap-mode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dap-mode 0.8

=== debian/changelog ===
dap-mode (0.8-2) unstable; urgency=medium

  * Add d/salsa-ci.yml with default template
  * Add license information for CODE_OF_CONDUCT.md (Closes: #1090784)
    - Add copyright holders from the original Contributor Covenant
      project.
    - Add full text of CC-BY-4.0 license.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 20 Dec 2024 18:06:56 -0800

dap-mode (0.8-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release
  * Revert "remove unneeded stuff from upstream with unclear license"
    - It looks like the reverted files are either covered by the current
      license or derived from external repositories that are under a
      different DFSG-compatible license.
      + See discussion at
        https://lists.debian.org/debian-legal/2024/11/msg00002.html
    - Restored the files to avoid potential future packaging issues.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Update Build-Depends list based on source file requirements
  * Update Standards-Version to 4.7.0; no change needed
  * Fix short description not to end with a period in d/control
    - Also update long description to the current upstream text
  * Update Section from lisp to editors
  * Update d/gbp.conf to match current practice
  * Enable elpa autopkgtest in d/control
  * Update Uploaders list (Closes: #1019020)
    - Thanks Thomas for working on packaging dap-mode!
    - Adopting the package and add myself to Uploaders.
  * Install CHANGELOG.org as changelog
    - Do not include CHANGELOG.org in d/docs
    - Override dh_installchangelogs to install CHANGELOG.org as changelog
      + Also preserve a symlink of the original name.
  * Rework d/copyright
    - Add Upstream-Contact and Source in d/copyright
    - Update copyright holder to be consistent with upstream in
      d/copyright
    - Add copyright information for icons/* in d/copyright
      + icons/vscode/* under CC-BY-SA-4.0 and copyright holder is
        Microsoft Corp and others
      + icons/eclipse/* under EPL-2.0 and copyright holder is IBM Corp and
        others
      + Include full CC-BY-SA-4.0 text in d/copyright
      + Include full text of EPL-2.0 in d/copyright
      + Add Comments to further explain the source of icons/* in
        d/copyright
    - Add missing copyright info based on current source file headers
    - Grouping file copyright stanzas with the same license
    - Use verbatim copy of copyright holder information
    - Add myself to debian/* copyright and update year

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-dap-mode: Drop versioned constraint on emacs (>= 46.0) in
      Recommends.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 19 Dec 2024 11:53:51 +0800

dap-mode (0.7-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:53:25 +0900

dap-mode (0.7-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:39:00 +0900

=== debian/control ===
Source: dap-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-lsp-mode,
 elpa-bui,
 elpa-f,
 elpa-s,
 elpa-lsp-treemacs,
 elpa-posframe,
 elpa-ht,
 elpa-lsp-docker,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/dap-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/dap-mode.git
Homepage: https://github.com/emacs-lsp/dap-mode
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa

Package: elpa-dap-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: DAP UI controls implemented using treemacs
 Emacs client/library for Debug Adapter Protocol is a wire protocol
 for communication between client and Debug Server. It’s similar to
 the LSP but provides integration with debug server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo Skip cleaning with eask

override_dh_auto_build:
	@echo Skip building with eask

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.org

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/emacs-lsp/dap-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
